import random

# Input: length
# Output: Outputs a random String of given length, containing of the letters A, C, G, and T
def get_random_string(length):
    # choose from all lowercase letter
    letters = ["A", "C", "G", "T"]
    result_str = ''.join(random.choice(letters) for i in range(length))
    return result_str


if __name__ == '__main__':
    outfile = "random_input.txt"
    N = {5, 10, 20, 30, 40, 50}  # number of Strings
    L = {35, 100, 300, 500, 1000, 2000, 3000, 4000, 5000, 10000, 20000, 30000, 40000, 50000}  # length of Strings

    for num_strings in N:
        for length in L:
            for instance in range(20):
                with open("benchmarking/rand_" + str(num_strings) + "_" + str(length) + "_" + str(instance) + ".txt", 'w') as f:
                    f.write(str(num_strings) + " " + str(length) + "\n")
                    for i in range(num_strings):
                        f.write(get_random_string(length))
                        f.write("\n")
